part of slang_retail_assistant;

class OrderCancelAppState extends RetailAppState
    implements OrderManagementAppState {
  static final String NAME = "cancel_order";

  static final Condition SUCCESS = new Condition(RetailCondition.NAME_SUCCESS);
  static final Condition FAILURE = new Condition(RetailCondition.NAME_FAILURE);
  static final Condition ORDER_CANCEL_CONFIRMATION_REQUIRED =
      new Condition(RetailCondition.NAME_ORDER_CANCEL_CONFIRMATION_REQUIRED);
  static final Condition ORDER_CANCEL_USER_CONFIRMED =
      new Condition(RetailCondition.NAME_ORDER_CANCEL_USER_CONFIRMED);
  static final Condition ORDER_CANCEL_USER_DENIED =
      new Condition(RetailCondition.NAME_ORDER_CANCEL_USER_DENIED);
  static final Condition ORDER_CANCEL_SELECT =
      new Condition(RetailCondition.NAME_ORDER_CANCEL_SELECT);
  static final Condition ORDER_NOT_FOUND =
      new Condition(RetailCondition.NAME_ORDER_NOT_FOUND);
  static final Condition ORDER_HISTORY_EMPTY =
      new Condition(RetailCondition.NAME_ORDER_HISTORY_EMPTY);
  static final Condition ORDER_INDEX_REQUIRED =
      new Condition(RetailCondition.NAME_ORDER_INDEX_REQUIRED);

  OrderCancelAppState(Condition condition) : super(NAME, condition);
}
