part of slang_retail_assistant;

class AddToCartAppState extends RetailAppState implements SearchAppState {
  static final String NAME = "add_to_cart";

  static final Condition SUCCESS = new Condition(RetailCondition.NAME_SUCCESS);
  static final Condition FAILURE = new Condition(RetailCondition.NAME_FAILURE);
  static final Condition ITEM_NOT_FOUND =
      new Condition(RetailCondition.NAME_ITEM_NOT_FOUND);
  static final Condition ITEM_OUT_OF_STOCK =
      new Condition(RetailCondition.NAME_ITEM_OUT_OF_STOCK);
  static final Condition ITEM_NOT_SPECIFIED =
      new Condition(RetailCondition.NAME_ITEM_NOT_SPECIFIED);
  static final Condition ITEM_SIZE_REQUIRED =
      new Condition(RetailCondition.NAME_ITEM_SIZE_REQUIRED);
  static final Condition ITEM_QUANTITY_REQUIRED =
      new Condition(RetailCondition.NAME_ITEM_QUANTITY_REQUIRED);
  static final Condition ITEM_AMBIGUOUS =
      new Condition(RetailCondition.NAME_ITEM_AMBIGUOUS);
  static final Condition ITEM_AMBIGUOUS_FORCE_UI =
      new Condition(RetailCondition.NAME_ITEM_AMBIGUOUS_FORCE_UI);
  static final Condition PUSH_PROMOTION_PERCENTAGE =
      new Condition(RetailCondition.NAME_ITEM_PUSH_PROMOTION_PERCENTAGE);
  static final Condition PUSH_PROMOTION_PRICE =
      new Condition(RetailCondition.NAME_ITEM_PUSH_PROMOTION_PRICE);
  static final Condition PUSH_PROMOTION_QUANTITY =
      new Condition(RetailCondition.NAME_ITEM_PUSH_PROMOTION_QUANTITY);
  static final Condition PUSH_PROMOTION_FREE_ITEM =
      new Condition(RetailCondition.NAME_ITEM_PUSH_PROMOTION_FREE_ITEM);
  static final Condition PUSH_PROMOTION_APP_TEXT =
      new Condition(RetailCondition.NAME_ITEM_PUSH_PROMOTION_APP_TEXT);

  AddToCartAppState(Condition condition) : super(NAME, condition);
}
